org.apache.geode.cache.util

## Enum Gateway.OrderPolicy

- java.lang.Object
- - java.lang.Enum<Gateway.OrderPolicy>
  - - org.apache.geode.cache.util.Gateway.OrderPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Gateway.OrderPolicy>
  Enclosing class:
    Gateway

      public static enum Gateway.OrderPolicy
      extends java.lang.Enum<Gateway.OrderPolicy>

  The order policy. This enum is applicable only when concurrency-level is > 1.
  Since:
    GemFire 6.5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEY` Indicates that events will be parallelized based on the event's key
    `PARTITION` Indicates that events will be parallelized based on the event's: - partition (using the PartitionResolver) in the case of a partitioned region event - key in the case of a replicated region event
    `THREAD` Indicates that events will be parallelized based on the event's originating member and thread

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Gateway.OrderPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Gateway.OrderPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### THREAD

          public static final Gateway.OrderPolicy THREAD

      Indicates that events will be parallelized based on the event's originating member and thread

    - #### KEY

          public static final Gateway.OrderPolicy KEY

      Indicates that events will be parallelized based on the event's key

    - #### PARTITION

          public static final Gateway.OrderPolicy PARTITION

      Indicates that events will be parallelized based on the event's: - partition (using the PartitionResolver) in the case of a partitioned region event - key in the case of a replicated region event

  - ### Method Detail

    - #### values

          public static Gateway.OrderPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Gateway.OrderPolicy c : Gateway.OrderPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Gateway.OrderPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null